Christian Walde > PPI-1.220 > PPI::Statement::Include::Perl6

Download:
PPI-1.220.tar.gz

Dependencies

Annotate this POD

Website

View/Report Bugs
Module Version: 1.220   Source  

NAME ^

PPI::Statement::Include::Perl6 - Inline Perl 6 file section

SYNOPSIS ^

  use v6-alpha;
  
  grammar My::Grammar {
      ...
  }

INHERITANCE ^

  PPI::Statement::Include::Perl6
  isa PPI::Statement::Include
      isa PPI::Statement
          isa PPI::Node
              isa PPI::Element

DESCRIPTION ^

A PPI::Statement::Include::Perl6 is a special include statement that indicates the start of a section of Perl 6 code inlined into a regular Perl 5 code file.

The primary purpose of the class is to allow PPI to provide at least basic support for "6 in 5" modules like v6.pm;

Currently, PPI only supports starting a Perl 6 block. It does not currently support changing back to Perl 5 again. Additionally all POD and __DATA__ blocks and __END__ blocks will be included in the Perl 6 string and will not be parsed by PPI.

perl6

The perl6 method returns the block of Perl 6 code that is attached to the "use v6...;" command.

TO DO ^

- Write specific unit tests for this package

SUPPORT ^

See the support section in the main module.

AUTHOR ^

Adam Kennedy <adamk@cpan.org>

COPYRIGHT ^

Copyright 2001 - 2011 Adam Kennedy.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.

syntax highlighting: